Bug 184216 - [exp-run] add stage support to Mk/bsd.cran.mk and USE_R_MOD ports
[exp-run] add stage support to Mk/bsd.cran.mk and USE_R_MOD ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: David Naylor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-24 16:00 UTC by David Naylor
Modified: 2013-12-02 17:29 UTC (History)
0 users

See Also:


Attachments
file.diff (38.25 KB, patch)
2013-11-24 16:00 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor freebsd_committer 2013-11-24 16:00:03 UTC
Add stage support to bsd.cran.mk and convert all ports defining USE_R_MOD to support staging.  Since this patch converts all affected ports make the use of NO_STAGE produce an error.  

This patch has been tested on my system by building all affected ports - without issue - however I would like a more thorough test of this patch.

Fix: Patch attached with submission follows:
Comment 1 Bryan Drewery freebsd_committer 2013-11-24 16:09:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

take for exp-run
Comment 2 Bryan Drewery freebsd_committer 2013-11-27 16:43:07 UTC
Responsible Changed
From-To: bdrewery->dbn

back to dbn, no new failures. portmgr approval for sweeping commit.
Comment 3 David Naylor freebsd_committer 2013-12-02 17:29:23 UTC
State Changed
From-To: open->closed

Committed